function VaR = finrisk_VaRcf_data(alpha_vec,l_vec)
% FINRISK_VARCF_DATA calculates a Cornish-Fisher expansion of the VaR at
% the significance levels in alpha_vec and the loss data in l_vec
%  
% Syntax: VaR = FINRISK_VARCF_DATA(alpha_vec,l_vec) 
%
% See also: finrisk_VaRcf 
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

muL = mean(l_vec);
stdL = std(l_vec);
skewL = skewness(l_vec);
kurtL = kurtosis(l_vec);
VaR = finrisk_VaRcf(alpha_vec,muL,stdL,skewL,kurtL);

end