function VaR = finrisk_VaRemp(alpha_vec,l_vec)
% FINRISK_VAREMP calculates a vector of Value at Risk estimates based on the
% empirical distribution of a loss vector (l_vec) and a vector of 
% significance levels (alpha_vec)
%  
% Syntax: VaR = FINRISK_VAREMP(alpha_vec,l_vec) 
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

l_vec_sort = sort(l_vec);
T = length(l_vec);
VaR = zeros(length(alpha_vec),1);
for i=1:length(alpha_vec)
    pos = ceil(T * (1-alpha_vec(i)));
    VaR(i,1) = l_vec_sort(pos);
end

end