function [VaR,parvec] = finrisk_VaRpot_data(alpha_vec,l_vec)
% FINRISK_VARPOT_DATA calculates Peaks-over-threshold(POT)-VaR estimates
% based on a loss sample
%  
% Syntax: VaR = FINRISK_VARPOT_DATA(alpha_vec,l_vec) 
%
% See also: finrisk_VaRpot, finrisk_est_pot 
%
% Author: Markus Huggenberger (huggenberger@bwl-uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

if max(alpha_vec) > 0.1
    error('alpha too large for u');
end
[xi,beta,u,Nu,T] = finrisk_est_pot(l_vec);
VaR = finrisk_VaRpot(alpha_vec,xi,beta,u,Nu,T);
parvec = [xi beta u];
end