function CVaR = finrisk_CVaRemp1(alpha_vec,l_vec)
% FINRISK_CVAR_EMP1 calculates the empirical (lower) CVaR, where
%       CVaR = E[L | L > VaR]
%  
% Syntax: CVaR = FINRISK_CVAR_EMP1(alpha_vec,l_vec)
%
% See also: finrisk_CVaRemp2, finrisk_ESemp
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

l_vec_sort = sort(l_vec);
n = length(l_vec);
CVaR = zeros(length(alpha_vec),1);
for i=1:length(alpha_vec)
    pos = ceil(n * (1-alpha_vec(i)));
    CVaR(i) = 1/(n-pos) * sum(l_vec_sort(pos+1:end));
end

end