function CVaR = finrisk_CVaRemp2(alpha_vec,l_vec)
% FINRISK_CVAR_EMP2 Calculates the empirical (upper) CVaR, where
%       CVaR = E[L | L >= VaR]
%  
% Syntax: CVaR = FINRISK_CVAR_EMP2(alpha_vec,l_vec)
%
% See also: finrisk_CVaRemp1
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

l_vec_sort = sort(l_vec);
n = length(l_vec);
CVaR = zeros(length(alpha_vec),1);

for i=1:length(alpha_vec)
    pos = ceil(n * (1-alpha_vec));
    CVaR(i) = 1/(n-pos+1) * sum(l_vec_sort(pos:end));
end

end