function ES = finrisk_EScf_data(alpha_vec,l_vec)
% FINRISK_ESCF_DATA calculates the Cornish-Fisher-ES for the significance
% levels alpha_vec and the loss data in l_vec
%  
% Syntax: ES = FINRISK_ESCF_DATA(alpha_vec,l_vec) 
%
% See also: finrisk_EScf 
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

muL = mean(l_vec);
stdL = std(l_vec);
skewL = skewness(l_vec);
kurtL = kurtosis(l_vec);
ES = finrisk_EScf(alpha_vec,muL,stdL,skewL,kurtL);

end