function ES = finrisk_ESemp(alpha_vec,l_vec)
% FINRISK_ESEMP calculates an empirical Expected Shortfall estimate for the
% loss data in l_vec and the significance levels in alpha_vec
%  
% Syntax: ES = FINRISK_ESEMP(alpha_vec,l_vec) 
% 
% See also: finrisk_ESpar, finrisk_ESpar_data, finrisk_VaRemp
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

l_vec_sort = sort(l_vec);
n = length(l_vec);
ES = zeros(length(alpha_vec),1);
for i=1:length(alpha_vec)
    pos = ceil(n * (1-alpha_vec(i)));
    ES(i,1) = 1./(n*alpha_vec(i)) .* (...
        sum(l_vec_sort(pos+1:end))...
        + l_vec_sort(pos)* (pos - n .* (1-alpha_vec(i))));
end

end