function [LR_c,p_c] = finrisk_testVaR_c(hits,alpha)
% FINRISK_TESTVAR_C performs a Christoffersen (1998) conditional coverage
% test
%  
% Syntax: [LR_c,p_c] = FINRISK_TESTVAR_C(hits,alpha)
%
% Inputs:
%   hits  - vector of hits
%   alpha - nominal VaR significance level (exceedance probability)
%
% Outputs: [LR_c,p_c] - test statistic and p value
%
% Author: Markus Huggenberger  (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

LR_h  = finrisk_testVaR_h(hits,alpha,false);
LR_i = finrisk_testVaR_i(hits);
LR_c  = LR_h + LR_i;
p_c = 1-chi2cdf(LR_c,2);

end