function [testdat,colnames] = finrisk_testVaR_tab(losses,VaRmat,alphaVaR,showVaR)
% FINRISK_TESTVAR_TAB creates a matrix containing the backtest results for 
%   backtest results for a collection of VaR forecast series

use_first_obs = true;

if nargin < 4
    showVaR = false;
end

nM = size(VaRmat,2);
testdat = zeros(nM,6+showVaR);
for m=1:nM
    VaR_m = VaRmat(:,m);
    
    [hits_m,hr_m]   = finrisk_testVaR_hits(losses,VaR_m);
    nhits = sum(hits_m);
    ehits = alphaVaR * length(hits_m);
    [~,ph_m] = finrisk_testVaR_h(hits_m,alphaVaR,use_first_obs);
    [~,pi_m] = finrisk_testVaR_i(hits_m);
    [~,pc_m] = finrisk_testVaR_c(hits_m,alphaVaR);
    basedat = [ehits nhits hr_m ph_m pi_m pc_m];
    if showVaR
        testdat(m,:) = [mean(VaR_m),basedat];
    else
        testdat(m,:) = basedat;
    end
end
if showVaR
    colnames = {'VaR','E[A]','a','HR','p_{H}','p_{I}','p_{C}'};
else
    colnames = {'E[A]','a','HR','p_{H}','p_{I}','p_{C}'};
end
end