function [ES,lp] = finrisk_pfES_hsim(alpha_vec,w1,l1,l2,method)
% FINRISK_PFES_HSIM calculates portfolio ES using historical simulation
%
% Syntax: [ES,lp] = FINRISK_PFES_HSIM(alpha_vec,w1,l1,l2,method)
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

lp = w1 * l1 + (1-w1) * l2;

switch method
    case 'emp'
        ES = finrisk_ESemp(alpha_vec,lp);
    case 'nv'
        ES = finrisk_ESpar_data(alpha_vec,'n',lp);
    case 'pot'
        ES = finrisk_ESpot_data(alpha_vec,lp);
end

end