function [ES,compES] = finrisk_pfES_vc_data(alpha_vec,w1,l1,l2)
% FINRISK_PFES_VC_DATA calculates variance covariance ES and its decomposition 
%     from sample data
%
% Syntax: [ES,compES] = FINRISK_PFES_VC_DATA(alpha_vec,w1,l1,l2)
%
% See also: finrisk_pfES_vc
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

mu_vec = mean([l1 l2]);
Sig_mat = cov([l1 l2]);

if nargout > 1
    [ES,compES] = finrisk_pfES_vc(alpha_vec,w1,mu_vec,Sig_mat);
else
    ES = finrisk_pfES_vc(alpha_vec,w1,mu_vec,Sig_mat);
end

end