function [VaR,lp] = finrisk_pfVaR_hsim(alpha_vec,w1,l1,l2,method)
% FINRISK_PFVAR_HSIM calculates portfolio VaR using historical simulation
%
% Syntax: [VaR,lp] = FINRISK_PFVAR_HSIM(alpha_vec,w1,l1,l2,method)
%
% See also: finrisk_VaRemp, finrisk_VaRpar_data, finrisk_VaRpot_data
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

lp = w1 * l1 + (1-w1) * l2;

switch method
    case 'emp'
        VaR = finrisk_VaRemp(alpha_vec,lp);
    case 'nv'
        VaR = finrisk_VaRpar_data(alpha_vec,'n',lp);
    case 'pot'
        VaR = finrisk_VaRpot_data(alpha_vec,lp);
end
end