function [VaR,ES,meta_par,l_mat] = finrisk_pfVaR_metasim(alpha_vec,w1,l1,l2,marg_type,cop_type,Nsim)
% FINRISK_PFVAR_METASIM calculates portfolio VaR and ES based on 
%   simulation from a a meta distribution 
%
% Syntax:
%   VaR = finrisk_pfVaR_metasim(alpha_vec,w1,l1,l2,marg_type,cop_type,Nsim)
%   [VaR,ES,meta_par,l_mat] = finrisk_pfVaR_metasim(...)
%
% See also: finrisk_meta_est, finrisk_meta_sim, finrisk_VaRemp, finrisk_ESemp
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

if nargin < 7
    Nsim = 5000;
end
meta_par = finrisk_meta_est(l1,l2,marg_type,cop_type);
l_mat     = finrisk_meta_sim(meta_par,Nsim);
lp_sim = w1 * l_mat(:,1) + (1-w1) * l_mat(:,2);
VaR = finrisk_VaRemp(alpha_vec,lp_sim);
if nargout > 1
    ES  = finrisk_ESemp(alpha_vec,lp_sim);
end

end