function [VaR,VaRcomp] = finrisk_pfVaR_vc_data(alpha_vec,w1,l1,l2)
% FINRISK_PFVAR_VC_DATA calculates variance covariance VaR given sample
% data
%
% Syntax: [VaR,VaRcomp] = FINRISK_PFVAR_VC_DATA(alpha_vec,w1,l1,l2)
%
% See also: finrisk_pfVaR_vc
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

mu_vec = mean([l1 l2]);
Sig_mat = cov([l1 l2]);
if nargout > 1
    [VaR,VaRcomp] = finrisk_pfVaR_vc_par(alpha_vec,w1,mu_vec,Sig_mat);
else
    VaR = finrisk_pfVaR_vc(alpha_vec,w1,mu_vec,Sig_mat);
end
end