function [riskc1,riskc2] = finrisk_pfdeco_covl(riskpf,w1,muLR,SigLR)
% FINRISK_PDFECO_COVLW risk decomposition according to covariance principle
%   given the portfolio measure (riskLp) and the mean vector and covariance matrix
%   of the position losses and the position weights
%
% Syntax: [riskc1,riskc2] = FINRISK_PDFECO_COVLW(riskpf,w1,muLR,SigLR)
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

w2   = 1-w1;
muLw  = [w1 w2] .* muLR;
SigLw = diag([w1 w2]) * SigLR * diag([w1 w2]);
[riskc1,riskc2] = finrisk_pfdeco_covlw(riskpf,muLw,SigLw);
end
