function [riskc1,riskc2] = finrisk_pfdeco_covlw(riskLp,mulw,covlw)
% FINRISK_PDFECO_COVLW risk decomposition according to covariance principle
%   given the portfolio measure (riskLp) and the mean vector and covariance matrix
%   of the weighted position losses 
%
% Syntax: [riskc1,riskc2] = FINRISK_PDFECO_COVLW(riskLp,mulw,covlw)
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

muLp = mulw(1)+mulw(2);
varLp = covlw(1,1)+covlw(1,2)+covlw(2,1)+covlw(2,2);
covL1 = covlw(1,1)+covlw(1,2);
covL2 = covlw(2,2)+covlw(1,2);
riskLpc = riskLp - muLp;
riskc1  = mulw(1) +  covL1/varLp * riskLpc;
riskc2  = mulw(2) +  covL2/varLp * riskLpc;
end