function [riskc1,riskc2] = finrisk_pfdeco_prop(riskpf,risk1,risk2)
% FINRISK_PDFECO_PROP proportional risk decomposition given the total 
%   portfolio risk and the individual position risk measures 
%  
% Syntax: [riskc1,riskc2] = FINRISK_PDFECO_PROP(riskpf,risk1,risk2)  
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

red = riskpf / (risk1+risk2);
riskc1 = red*risk1;
riskc2 = red*risk2;

end