function delta = finrisk_call_delta(s,x,r,sigma,tau)
% FINRISK_CALL_DELTA calculates the Black and Scholes delta of a call option
%
% Syntax: delta = FINRISK_CALL_DELTA(s,x,r,sigma,tau)
%
% See finrisk_call_price (for the inputs)
%
% Revision: 1.1      Date: 2014/10/16

d1 = finrisk_d(s,x,r,sigma,tau);
delta = normcdf(d1,0,1);
end