function gamma = finrisk_call_gamma(s,x,r,sigma,tau)
% FINRISK_CALL_GAMMA calculates the Black and Scholes gamma of a call option
%
% Syntax: gamma = FINRISK_CALL_GAMMA(s,x,r,sigma,tau)
%
% See also: finrisk_call_price (for the inputs)
%
% Revision: 1.1      Date: 2014/10/16

d1 = finrisk_d(s,x,r,sigma,tau);
gamma = normpdf(d1,0,1)./(s * sigma * sqrt(tau));

end