function [d1,d2] = finrisk_d(s,x,r,sigma,tau)
% FINRISK_D calculates d_1 and d_2 in the Black and Scholes formula
%
% Syntax: [d1,d2] = FINRISK_D(s,x,r,sigma,tau)
%
% see also: finrisk_call_price, finrisk_put_price

d1 = (log(s./x) + (r + 1/2 * sigma^2) * tau)/(sigma * sqrt(tau));

if nargout > 1
   d2 = d1 - sigma * sqrt(tau);
end

end