function delta = finrisk_put_delta(s,x,r,sigma,tau)
% FINRISK_PUT_DELTA calculates the Black and Scholes delta of a put option
%
% Syntax: delta = FINRISK_PUT_DELTA(s,x,r,sigma,tau)
% 
% See also: finrisk_put_price (for the inputs)
%
% Revision: 1.1      Date: 2014/10/16

d1 = finrisk_d(s,x,r,sigma,tau);
delta = -normcdf(-d1,0,1);    

end