function Theta = finrisk_put_theta(s,x,r,sigma,tau)
% FINRISK_PUT_THETA calculates the Black and Scholes theta of a put option
%
% Syntax: theta = FINRISK_PUT_THETA(s,x,r,sigma,tau)
%
% See also:  finrisk_put_price (for the inputs)
%
% Revision: 1.1      Date: 2014/10/16

[d1,d2] = finrisk_d(s,x,r,sigma,tau);
pdertau = (s * sigma)/(2 * sqrt(tau)) .* normpdf(d1,0,1) - r * x * exp(-r * tau) * normcdf(-d2,0,1);
Theta = - pdertau;

end