function xvec = finrisk_cp_transDx(Dvec,n,E,typ_l)
% FINRISK_CP_TRANSDX converts between loss types
%
% Syntax: xvec = FINRISK_CP_TRANSDX(Dvec,n,E,typ_l)
%
% Revision: 1.1      Date: 2014/10/16

if min(Dvec) < 0 || max(Dvec) > n || max(mod(Dvec,1))>0
    error('invalid input');
end

switch typ_l
    case 1
        xvec = Dvec;
    case 2
        xvec = E * Dvec;
    case 3
        xvec = Dvec/n;
end

end