function Dvec = finrisk_cp_transxD(xvec,n,E,typ_l)
% FINRISK_CP_TRANSXD converts between loss types
%
% Syntax: Dvec = FINRISK_CP_TRANSXD(xvec,n,E,typ_l)
%
% Revision: 1.1      Date: 2014/10/16

    switch typ_l
        case 1
            Dvec = xvec;
        case 2
            Dvec = xvec/E;
        case 3 
            Dvec = xvec * n;
    end

    Dvec = round(Dvec*10^10)/10^10;
    
    if max(mod(Dvec,1))>0 || max(Dvec)>n || min(Dvec)<0
        error('invalid xvec');
    end
end