function f = finrisk_ecdf(xvals,sample,denom)
% FINRISK_ECDF Empirical cumulative distribution function
%
% Syntax: f = FINRISK_ECDF(xvals,sample,denom)
%
% Revision: 1.1      Date: 2014/10/16

if nargin < 3
    denom = length(sample);
end

f = zeros(size(xvals));

for i=1:length(xvals)
    indx = (sample <= xvals(i));
    f(i) = 1/denom * sum(indx);
end
    
end