function [ms,vs] = finrisk_gbm_price_par(t,s0,mu,sigma)
% FINRISK_GBM_PRICE_PAR calculates the parameters of the price for an asset  
%     following a Geometric Brownian motion
%
% Syntax: [ms,vs] = finrisk_gbm_price_par(t,s0,mu,sigma)
%
% Revision: 1.1      Date: 2014/10/16

    m = mu - sigma^2/2;
    ms = log(s0) + t * m;
    vs = sqrt(t) * sigma;
end