function St = finrisk_gbm_price_rnd(N,t,s0,mu,sigma)
% FINRISK_GBM_PRICE_RND generates random numbers for the price of the
%         risky asset following a Geometric Brownian Motion
%
% Syntax: St = FINRISK_GBM_PRICE_RND(N,t,s0,mu,sigma) 
%
% Author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% revision: 1.1      date: 2014/10/16

if nargin < 5
    error('not enough input arguments');
end
[mst,vst] = finrisk_gbm_price_par(t,s0,mu,sigma);
St = exp(normrnd(mst,vst,N,1));
end