function [ltd,utd] = finrisk_td_tcop(l1,l2)
% FINRISK_TD_TCOP calculates LTD/UTD estimate assuming a t-copula
%
% Syntax: [ltd,utd] = FINRISK_TD_TCOP(l1,l2)
%
% author: Markus Huggenberger (huggenberger@bwl.uni-mannheim.de)
% Revision: 1.1      Date: 2014/10/16

u1 = finrisk_ecdf(l1,l1,length(l1)+1);
u2 = finrisk_ecdf(l2,l2,length(l2)+2);
[rhomat,nu] = copulafit('t',[u1 u2]);
rho = rhomat(2,1);
if rho > -1
    ltd = 2 * tcdf(-sqrt((nu+1)*(1-rho)/(1+rho)),nu+1);
else
    ltd = 0;
end
utd = ltd;

end