fprintf('\n\n*** Ex6: Value at Risk call option ***\n\n');

% check path
if  exist('finrisk_call_price','file')==0
    error('finrisk_call_price not found. Please run finrisk_add_path.m.');
end

%% settings
fprintf('\nSettings\n');

% stock price process 
s0 = 100;
sigma = 0.2;
mu = 0.1;
r  = 0.03;
fprintf('  Stock market:   s0=%.2f, mu=%.2f, sigma=%.2f, r=%.2f \n',s0,mu,sigma,r);

% option parameters
tau = 1/4; % (3 Monate)
X  = 100;
fprintf('  Option:         maturity=%.2f, strike=%.2f \n',tau,X);

% value at risk parameters
alpha = 0.05;
h  = 10/365;
fprintf('  Value at Risk:  alpha=%.2f, risk horizon=%.2f \n',alpha,h);

%% VaR long position
fprintf('\nLong position\n');

[VaRCl0] = finrisk_call_VaR(alpha,h,mu,s0,X,r,sigma,tau,true);
inc_theta = false;
[VaRCl2] = finrisk_call_VaR_delta2(alpha,h,mu,s0,X,r,sigma,tau,inc_theta);
[VaRCl3] = finrisk_call_VaR_gamma(alpha,h,mu,s0,X,r,sigma,tau,inc_theta);
fprintf('  VaR exact:                      \t %.2f\n',VaRCl0);
fprintf('  VaR delta-normal-approximation: \t %.2f\n',VaRCl2);
fprintf('  VaR delta-gamma-approximation:  \t %.2f\n',VaRCl3);

%% VaR short position
fprintf('\nShort position\n');

[~,VaRCs0] = finrisk_call_VaR(alpha,h,mu,s0,X,r,sigma,tau,true);
inc_theta = false;
[~,VaRCs2] = finrisk_call_VaR_delta2(alpha,h,mu,s0,X,r,sigma,tau,inc_theta);
[~,VaRCs3] = finrisk_call_VaR_gamma(alpha,h,mu,s0,X,r,sigma,tau,inc_theta);
fprintf('  VaR exact:                      \t %.2f\n',VaRCs0);
fprintf('  VaR delta-normal-approximation: \t %.2f\n',VaRCs2);
fprintf('  VaR delta-gamma-approximation:  \t %.2f\n',VaRCs3);

%% 
fprintf('\n\n***   end of Ex6   *** \n\n\n');
